Bug 168830 - Review Request: perl-CPAN-DistnameInfo
Review Request: perl-CPAN-DistnameInfo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
http://search.cpan.org/dist/CPAN-Dist...
:
Depends On:
Blocks: FE-ACCEPT 168831
  Show dependency treegraph
 
Reported: 2005-09-20 11:21 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 09:04:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-20 11:21:41 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-CPAN-DistnameInfo/perl-CPAN-DistnameInfo.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-CPAN-DistnameInfo-0.06-1.src.rpm
Description:
Many online services that are centered around CPAN attempt to
associate multiple uploads by extracting a distribution name from the
filename of the upload. For most distributions this is easy as they
have used ExtUtils::MakeMaker or Module::Build to create the
distribution, which results in a uniform name. But sadly not all
uploads are created in this way.

CPAN::DistnameInfo uses heuristics that have been learnt by
http://search.cpan.org/ to extract the distribution name and version
from filenames and also report if the version is to be treated as a
developer release.
Comment 1 Orion Poplawski 2005-10-11 18:18:18 EDT
- rpmlint is silent
- builds in mock
- License is good
- md5sums match

Approved

Note You need to log in before you can comment on or make changes to this bug.